"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _clsx = _interopRequireDefault(require("clsx"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _style = _interopRequireDefault(require("styled-jsx/style"));

var _ThemeContext = _interopRequireDefault(require("../styles/ThemeContext"));

var _withClasses = _interopRequireDefault(require("../utils/withClasses"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var AppBar = /*#__PURE__*/function (_React$Component) {
  _inherits(AppBar, _React$Component);

  var _super = _createSuper(AppBar);

  function AppBar() {
    _classCallCheck(this, AppBar);

    return _super.apply(this, arguments);
  }

  _createClass(AppBar, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          children = _this$props.children,
          classes = _this$props.classes,
          color = _this$props.color,
          position = _this$props.position;
      var theme = this.context;
      var className = (0, _clsx["default"])(classes, color, position);
      return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement("div", {
        className: _style["default"].dynamic([["4181421979", [theme.shadows[3], theme.spacing(3), theme.zIndex.low, theme.palette.primary.main, theme.palette.primary.contrast, theme.palette.secondary.main, theme.palette.secondary.contrast, theme.palette.common.white, theme.palette.common.black, theme.palette.common.black, theme.palette.common.white]]]) + " " + (className || "")
      }, children), /*#__PURE__*/_react["default"].createElement(_style["default"], {
        id: "4181421979",
        dynamic: [theme.shadows[3], theme.spacing(3), theme.zIndex.low, theme.palette.primary.main, theme.palette.primary.contrast, theme.palette.secondary.main, theme.palette.secondary.contrast, theme.palette.common.white, theme.palette.common.black, theme.palette.common.black, theme.palette.common.white]
      }, "div.__jsx-style-dynamic-selector{-webkit-align-items:center;-webkit-box-align:center;-ms-flex-align:center;align-items:center;box-shadow:".concat(theme.shadows[3], ";box-sizing:border-box;display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;padding:").concat(theme.spacing(3), "px;width:100%;z-index:").concat(theme.zIndex.low, ";}.fixed.__jsx-style-dynamic-selector{left:auto;position:fixed;right:0;top:0;}.absolute.__jsx-style-dynamic-selector{left:auto;position:absolute;right:0;top:0;}.stickey.__jsx-style-dynamic-selector{left:auto;position:-webkit-sticky;position:sticky;right:0;top:0;}.static.__jsx-style-dynamic-selector{position:static;}.relative.__jsx-style-dynamic-selector{position:relative;}.primary.__jsx-style-dynamic-selector{background-color:").concat(theme.palette.primary.main, ";color:").concat(theme.palette.primary.contrast, ";}.secondary.__jsx-style-dynamic-selector{background-color:").concat(theme.palette.secondary.main, ";color:").concat(theme.palette.secondary.contrast, ";}.white.__jsx-style-dynamic-selector{background-color:").concat(theme.palette.common.white, ";color:").concat(theme.palette.common.black, ";}.black.__jsx-style-dynamic-selector{background-color:").concat(theme.palette.common.black, ";color:").concat(theme.palette.common.white, ";}")));
    }
  }]);

  return AppBar;
}(_react["default"].Component);

_defineProperty(AppBar, "displayName", "AppBar");

_defineProperty(AppBar, "propTypes", {
  /**
   * The content of the component.
   */
  children: _propTypes["default"].node,

  /**
   * An array of custom CSS classes to apply.
   */
  classes: _propTypes["default"].array,

  /**
   * The color of the component. It supports those theme colors that make sense for this component.
   */
  color: _propTypes["default"].oneOf(["primary", "secondary", "white", "black"]),

  /**
   * The positioning type. The behavior of the different options is described
   * [in the MDN web docs](https://developer.mozilla.org/en-US/docs/Learn/CSS/CSS_layout/Positioning).
   * Note: `sticky` is not universally supported and will fall back to `static` when unavailable.
   */
  position: _propTypes["default"].oneOf(["absolute", "fixed", "relative", "static", "sticky"])
});

_defineProperty(AppBar, "defaultProps", {
  color: "primary",
  position: "fixed"
});

_defineProperty(AppBar, "contextType", _ThemeContext["default"]);

var _default = (0, _withClasses["default"])(AppBar);

exports["default"] = _default;