"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _clsx = _interopRequireDefault(require("clsx"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _style = _interopRequireDefault(require("styled-jsx/style"));

var _ThemeContext = _interopRequireDefault(require("../styles/ThemeContext"));

var _withClasses = _interopRequireDefault(require("../utils/withClasses"));

var _Typography = _interopRequireDefault(require("./Typography"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var FormGroup = /*#__PURE__*/function (_React$Component) {
  _inherits(FormGroup, _React$Component);

  var _super = _createSuper(FormGroup);

  function FormGroup() {
    var _this;

    _classCallCheck(this, FormGroup);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _super.call.apply(_super, [this].concat(args));

    _defineProperty(_assertThisInitialized(_this), "getLinkedStyles", function () {
      var theme = _this.context;
      return {
        styles: /*#__PURE__*/_react["default"].createElement(_style["default"], {
          id: "3771829603",
          dynamic: [theme.palette.text.secondary, theme.typography.fontWeight.regular, theme.typography.fontWeight.medium, theme.spacing(3)]
        }, "p.subtitle.__jsx-style-dynamic-selector{color:".concat(theme.palette.text.secondary, ";font-weight:").concat(theme.typography.fontWeight.regular, ";}p.title.__jsx-style-dynamic-selector{font-weight:").concat(theme.typography.fontWeight.medium, ";font-size:22px;margin-bottom:").concat(theme.spacing(3), "px;}")),
        className: _style["default"].dynamic([["3771829603", [theme.palette.text.secondary, theme.typography.fontWeight.regular, theme.typography.fontWeight.medium, theme.spacing(3)]]])
      };
    });

    return _this;
  }

  _createClass(FormGroup, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          children = _this$props.children,
          classes = _this$props.classes,
          title = _this$props.title,
          subtitle = _this$props.subtitle;
      var theme = this.context;
      var linkedStyles = this.getLinkedStyles();
      var className = (0, _clsx["default"])(classes);
      return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement("fieldset", {
        className: _style["default"].dynamic([["925181449", [theme.spacing(8), theme.spacing(4)]]]) + " " + (className || "")
      }, title && /*#__PURE__*/_react["default"].createElement(_Typography["default"], {
        classes: [linkedStyles.className, "title"],
        component: "p",
        variant: "h3"
      }, title, linkedStyles.styles), subtitle && /*#__PURE__*/_react["default"].createElement(_Typography["default"], {
        classes: [linkedStyles.className, "subtitle"],
        component: "p",
        gutter: true,
        variant: "body1"
      }, subtitle, linkedStyles.styles), /*#__PURE__*/_react["default"].createElement("div", {
        className: _style["default"].dynamic([["925181449", [theme.spacing(8), theme.spacing(4)]]]) + " " + "children"
      }, children)), /*#__PURE__*/_react["default"].createElement(_style["default"], {
        id: "925181449",
        dynamic: [theme.spacing(8), theme.spacing(4)]
      }, "fieldset.__jsx-style-dynamic-selector{border:none;margin:0 0 ".concat(theme.spacing(8), "px 0;padding:0;}fieldset.__jsx-style-dynamic-selector:last-child{margin-bottom:0;}.children.__jsx-style-dynamic-selector{margin-top:").concat(theme.spacing(4), "px;}")));
    }
  }]);

  return FormGroup;
}(_react["default"].Component);

_defineProperty(FormGroup, "displayName", "FormGroup");

_defineProperty(FormGroup, "propTypes", {
  /**
   * The content of the component.
   */
  children: _propTypes["default"].node,

  /**
   * An array of custom CSS classes to apply.
   */
  classes: _propTypes["default"].array,

  /**
   * A title for the field set.
   */
  title: _propTypes["default"].node,

  /**
   * A subtitle for the field set.
   */
  subtitle: _propTypes["default"].node
});

_defineProperty(FormGroup, "defaultProps", {
  classes: []
});

_defineProperty(FormGroup, "contextType", _ThemeContext["default"]);

var _default = (0, _withClasses["default"])(FormGroup);

exports["default"] = _default;