"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _clsx = _interopRequireDefault(require("clsx"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _style = _interopRequireDefault(require("styled-jsx/style"));

var _ThemeContext = _interopRequireDefault(require("../styles/ThemeContext"));

var _withClasses = _interopRequireDefault(require("../utils/withClasses"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var TableRow = /*#__PURE__*/function (_React$Component) {
  _inherits(TableRow, _React$Component);

  var _super = _createSuper(TableRow);

  function TableRow() {
    _classCallCheck(this, TableRow);

    return _super.apply(this, arguments);
  }

  _createClass(TableRow, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          children = _this$props.children,
          classes = _this$props.classes,
          hover = _this$props.hover,
          forceHover = _this$props.forceHover,
          border = _this$props.border,
          other = _objectWithoutProperties(_this$props, ["children", "classes", "hover", "forceHover", "border"]);

      var theme = this.context;
      return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement("tr", _extends({}, other, {
        className: _style["default"].dynamic([["2808869914", [border && (theme.palette.divider ? theme.palette.divider : "transparent"), theme.palette.common.white, theme.palette.secondary.main, hover ? "background-color: ".concat(theme.palette.common.white, ";") : "", hover ? "border-left: 3px solid ".concat(theme.palette.secondary.main, ";") : ""]]]) + " " + (other && other.className != null && other.className || (0, _clsx["default"])(classes, forceHover && "forceHover") || "")
      }), children), /*#__PURE__*/_react["default"].createElement(_style["default"], {
        id: "2808869914",
        dynamic: [border && (theme.palette.divider ? theme.palette.divider : "transparent"), theme.palette.common.white, theme.palette.secondary.main, hover ? "background-color: ".concat(theme.palette.common.white, ";") : "", hover ? "border-left: 3px solid ".concat(theme.palette.secondary.main, ";") : ""]
      }, "tr.__jsx-style-dynamic-selector{border-bottom:1px solid ".concat(border && (theme.palette.divider ? theme.palette.divider : "transparent"), ";border-left:3px solid transparent;}tr.forceHover.__jsx-style-dynamic-selector{background-color:").concat(theme.palette.common.white, ";border-left:3px solid ").concat(theme.palette.secondary.main, ";}tr.__jsx-style-dynamic-selector:hover{").concat(hover ? "background-color: ".concat(theme.palette.common.white, ";") : "", " ").concat(hover ? "border-left: 3px solid ".concat(theme.palette.secondary.main, ";") : "", ";}")));
    }
  }]);

  return TableRow;
}(_react["default"].Component);

_defineProperty(TableRow, "displayName", "TableRow");

_defineProperty(TableRow, "propTypes", {
  /**
   * Whether to render the border for the row
   */
  border: _propTypes["default"].bool,

  /**
   * Children to render in the tr element
   */
  children: _propTypes["default"].node,

  /**
   * Classes to apply to the root element
   */
  classes: _propTypes["default"].arrayOf(_propTypes["default"].string),

  /**
   * Force the row to display hovered style or not
   */
  forceHover: _propTypes["default"].bool,

  /**
   * Whether to highlight the row on hover
   */
  hover: _propTypes["default"].bool
});

_defineProperty(TableRow, "defaultProps", {
  border: true,
  forceHover: false
});

_defineProperty(TableRow, "contextType", _ThemeContext["default"]);

var _default = (0, _withClasses["default"])(TableRow);

exports["default"] = _default;