"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _ThemeContext = _interopRequireDefault(require("../styles/ThemeContext"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

var withThemeContext = function withThemeContext(Component) {
  return function (props) {
    return /*#__PURE__*/_react["default"].createElement(_ThemeContext["default"].Consumer, null, function (context) {
      return /*#__PURE__*/_react["default"].createElement(Component, _extends({}, props, {
        theme: context
      }));
    });
  };
};

var _default = withThemeContext;
exports["default"] = _default;