"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _clsx = _interopRequireDefault(require("clsx"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _style = _interopRequireDefault(require("styled-jsx/style"));

var _ThemeContext = _interopRequireDefault(require("../styles/ThemeContext"));

var _withClasses = _interopRequireDefault(require("../utils/withClasses"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Notice = /*#__PURE__*/function (_React$Component) {
  _inherits(Notice, _React$Component);

  var _super = _createSuper(Notice);

  function Notice() {
    _classCallCheck(this, Notice);

    return _super.apply(this, arguments);
  }

  _createClass(Notice, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          classes = _this$props.classes,
          children = _this$props.children,
          color = _this$props.color;
      var theme = this.context;
      var className = (0, _clsx["default"])(color, classes);
      return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement("div", {
        className: _style["default"].dynamic([["3699188109", [theme.shape.borderRadius.md, theme.spacing(2), theme.spacing(4), theme.palette.primary.light, theme.palette.primary.main, theme.palette.secondary.light, theme.palette.secondary.main, theme.palette.tertiary.light, theme.palette.tertiary.main, theme.palette.negative.light, theme.palette.negative.main, theme.palette.warning.light, theme.palette.warning.main, theme.palette.positive.light, theme.palette.positive.main]]]) + " " + (className || "")
      }, children), /*#__PURE__*/_react["default"].createElement(_style["default"], {
        id: "3699188109",
        dynamic: [theme.shape.borderRadius.md, theme.spacing(2), theme.spacing(4), theme.palette.primary.light, theme.palette.primary.main, theme.palette.secondary.light, theme.palette.secondary.main, theme.palette.tertiary.light, theme.palette.tertiary.main, theme.palette.negative.light, theme.palette.negative.main, theme.palette.warning.light, theme.palette.warning.main, theme.palette.positive.light, theme.palette.positive.main]
      }, "div.__jsx-style-dynamic-selector{border:1px solid transparent;border-radius:".concat(theme.shape.borderRadius.md, ";opacity:0.9;padding:").concat(theme.spacing(2), "px ").concat(theme.spacing(4), "px;}.primary.__jsx-style-dynamic-selector{background-color:").concat(theme.palette.primary.light, ";border-color:").concat(theme.palette.primary.main, ";}.secondary.__jsx-style-dynamic-selector{background-color:").concat(theme.palette.secondary.light, ";border-color:").concat(theme.palette.secondary.main, ";}.tertiary.__jsx-style-dynamic-selector{background-color:").concat(theme.palette.tertiary.light, ";border-color:").concat(theme.palette.tertiary.main, ";}.negative.__jsx-style-dynamic-selector{background-color:").concat(theme.palette.negative.light, ";border-color:").concat(theme.palette.negative.main, ";}.warning.__jsx-style-dynamic-selector{background-color:").concat(theme.palette.warning.light, ";border-color:").concat(theme.palette.warning.main, ";}.positive.__jsx-style-dynamic-selector{background-color:").concat(theme.palette.positive.light, ";border-color:").concat(theme.palette.positive.main, ";}")));
    }
  }]);

  return Notice;
}(_react["default"].Component);

_defineProperty(Notice, "displayName", "Notice");

_defineProperty(Notice, "propTypes", {
  /**
   * The content of the Notice.
   */
  children: _propTypes["default"].node,

  /**
   * List of additional classes to apply to this component.
   */
  classes: _propTypes["default"].array,

  /**
   * The color to use.
   */
  color: _propTypes["default"].oneOf(["negative", "positive", "primary", "secondary", "tertiary", "warning"])
});

_defineProperty(Notice, "defaultProps", {
  classes: [],
  color: "primary"
});

_defineProperty(Notice, "contextType", _ThemeContext["default"]);

var _default = (0, _withClasses["default"])(Notice);

exports["default"] = _default;