"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _clsx = _interopRequireDefault(require("clsx"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _style = _interopRequireDefault(require("styled-jsx/style"));

var _ThemeContext = _interopRequireDefault(require("../styles/ThemeContext"));

var _withClasses = _interopRequireDefault(require("../utils/withClasses"));

var _Typography = _interopRequireDefault(require("./Typography"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Radio = /*#__PURE__*/function (_React$Component) {
  _inherits(Radio, _React$Component);

  var _super = _createSuper(Radio);

  function Radio() {
    var _this;

    _classCallCheck(this, Radio);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _super.call.apply(_super, [this].concat(args));

    _defineProperty(_assertThisInitialized(_this), "getLinkedStyles", function () {
      var theme = _this.context;
      return {
        styles: /*#__PURE__*/_react["default"].createElement(_style["default"], {
          id: "3026427841",
          dynamic: [theme.palette.grey[400], theme.palette.primary.main, theme.palette.secondary.main]
        }, "input.__jsx-style-dynamic-selector:checked~p.__jsx-style-dynamic-selector,input.__jsx-style-dynamic-selector:disabled~p.__jsx-style-dynamic-selector{color:".concat(theme.palette.grey[400], ";}input.__jsx-style-dynamic-selector:checked~p.primary.__jsx-style-dynamic-selector{color:").concat(theme.palette.primary.main, ";}input.__jsx-style-dynamic-selector:checked~p.secondary.__jsx-style-dynamic-selector{color:").concat(theme.palette.secondary.main, ";}")),
        className: _style["default"].dynamic([["3026427841", [theme.palette.grey[400], theme.palette.primary.main, theme.palette.secondary.main]]])
      };
    });

    return _this;
  }

  _createClass(Radio, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          checked = _this$props.checked,
          classes = _this$props.classes,
          color = _this$props.color,
          disabled = _this$props.disabled,
          label = _this$props.label,
          other = _objectWithoutProperties(_this$props, ["checked", "classes", "color", "disabled", "label"]);

      var theme = this.context;
      var linkedStyles = this.getLinkedStyles();
      return /*#__PURE__*/_react["default"].createElement("div", {
        className: _style["default"].dynamic([["1070945688", [theme.palette.text.secondary, theme.spacing(5), theme.palette.common.white, theme.palette.grey[400], theme.palette.primary.main, theme.palette.secondary.main, theme.palette.grey[400], theme.palette.primary.main, theme.palette.secondary.main, theme.palette.grey[400]]]]) + " " + ((0, _clsx["default"])(classes) || "")
      }, /*#__PURE__*/_react["default"].createElement("label", {
        htmlFor: other.id,
        className: _style["default"].dynamic([["1070945688", [theme.palette.text.secondary, theme.spacing(5), theme.palette.common.white, theme.palette.grey[400], theme.palette.primary.main, theme.palette.secondary.main, theme.palette.grey[400], theme.palette.primary.main, theme.palette.secondary.main, theme.palette.grey[400]]]])
      }, /*#__PURE__*/_react["default"].createElement("input", _extends({
        checked: checked,
        disabled: disabled,
        type: "radio"
      }, other, {
        className: _style["default"].dynamic([["1070945688", [theme.palette.text.secondary, theme.spacing(5), theme.palette.common.white, theme.palette.grey[400], theme.palette.primary.main, theme.palette.secondary.main, theme.palette.grey[400], theme.palette.primary.main, theme.palette.secondary.main, theme.palette.grey[400]]]]) + " " + (other && other.className != null && other.className || linkedStyles.className || "")
      })), /*#__PURE__*/_react["default"].createElement(_Typography["default"], {
        classes: [linkedStyles.className, color]
      }, label, linkedStyles.styles), /*#__PURE__*/_react["default"].createElement("span", {
        className: _style["default"].dynamic([["1070945688", [theme.palette.text.secondary, theme.spacing(5), theme.palette.common.white, theme.palette.grey[400], theme.palette.primary.main, theme.palette.secondary.main, theme.palette.grey[400], theme.palette.primary.main, theme.palette.secondary.main, theme.palette.grey[400]]]]) + " " + ((0, _clsx["default"])("checkmark", disabled ? "disabled" : null, color) || "")
      })), /*#__PURE__*/_react["default"].createElement(_style["default"], {
        id: "1070945688",
        dynamic: [theme.palette.text.secondary, theme.spacing(5), theme.palette.common.white, theme.palette.grey[400], theme.palette.primary.main, theme.palette.secondary.main, theme.palette.grey[400], theme.palette.primary.main, theme.palette.secondary.main, theme.palette.grey[400]]
      }, "label.__jsx-style-dynamic-selector{color:".concat(theme.palette.text.secondary, ";cursor:pointer;display:block;margin-bottom:12px;padding-left:").concat(theme.spacing(5), "px;position:relative;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;}label.__jsx-style-dynamic-selector input.__jsx-style-dynamic-selector{cursor:pointer;opacity:0;position:absolute;}.checkmark.__jsx-style-dynamic-selector{box-sizing:content-box;background-color:").concat(theme.palette.common.white, ";border-radius:50%;border:1px solid rgba(0,0,0,0.23);height:11px;left:0;position:absolute;top:3px;width:11px;}label.__jsx-style-dynamic-selector input.__jsx-style-dynamic-selector:checked~.checkmark.__jsx-style-dynamic-selector{border-color:").concat(theme.palette.grey[400], ";}label.__jsx-style-dynamic-selector input.__jsx-style-dynamic-selector:checked~.primary.__jsx-style-dynamic-selector{border-color:").concat(theme.palette.primary.main, ";}label.__jsx-style-dynamic-selector input.__jsx-style-dynamic-selector:checked~.secondary.__jsx-style-dynamic-selector{border-color:").concat(theme.palette.secondary.main, ";}.checkmark.__jsx-style-dynamic-selector:after{content:\"\";display:none;position:absolute;}label.__jsx-style-dynamic-selector input.__jsx-style-dynamic-selector:checked~.checkmark.__jsx-style-dynamic-selector:after{display:block;}label.__jsx-style-dynamic-selector .checkmark.__jsx-style-dynamic-selector:after{background:").concat(theme.palette.grey[400], ";border-radius:50%;height:7px;left:2px;top:2px;width:7px;}label.__jsx-style-dynamic-selector .primary.checkmark.__jsx-style-dynamic-selector:after{background:").concat(theme.palette.primary.main, ";}label.__jsx-style-dynamic-selector .secondary.checkmark.__jsx-style-dynamic-selector:after{background:").concat(theme.palette.secondary.main, ";}.disabled.__jsx-style-dynamic-selector{border-color:").concat(theme.palette.grey[400], ";pointer-events:none;}")));
    }
  }]);

  return Radio;
}(_react["default"].Component);

_defineProperty(Radio, "displayName", "Radio");

_defineProperty(Radio, "propTypes", {
  /**
   * If `true`, the component is checked.
   */
  checked: _propTypes["default"].bool,

  /**
   * An array of custom CSS classes to apply.
   */
  classes: _propTypes["default"].array,

  /**
   * The color of the component. It supports those theme colors that make sense for this component.
   */
  color: _propTypes["default"].oneOf(["primary", "secondary", "default"]),

  /**
   * If `true`, the radio will be disabled.
   */
  disabled: _propTypes["default"].bool,

  /**
   * Label text to display for the radio.
   */
  label: _propTypes["default"].string
});

_defineProperty(Radio, "defaultProps", {
  checked: false,
  disabled: false
});

_defineProperty(Radio, "contextType", _ThemeContext["default"]);

var _default = (0, _withClasses["default"])(Radio);

exports["default"] = _default;