"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _clsx = _interopRequireDefault(require("clsx"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireDefault(require("react"));

var _style = _interopRequireDefault(require("styled-jsx/style"));

var _ThemeContext = _interopRequireDefault(require("../styles/ThemeContext"));

var _withClasses = _interopRequireDefault(require("../utils/withClasses"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = _getPrototypeOf(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = _getPrototypeOf(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return _possibleConstructorReturn(this, result); }; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var TableCell = /*#__PURE__*/function (_React$Component) {
  _inherits(TableCell, _React$Component);

  var _super = _createSuper(TableCell);

  function TableCell() {
    _classCallCheck(this, TableCell);

    return _super.apply(this, arguments);
  }

  _createClass(TableCell, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          children = _this$props.children,
          classes = _this$props.classes,
          colSpan = _this$props.colSpan,
          padding = _this$props.padding,
          rowSpan = _this$props.rowSpan,
          textAlign = _this$props.textAlign,
          other = _objectWithoutProperties(_this$props, ["children", "classes", "colSpan", "padding", "rowSpan", "textAlign"]);

      var theme = this.context;
      return /*#__PURE__*/_react["default"].createElement(_react["default"].Fragment, null, /*#__PURE__*/_react["default"].createElement("td", _extends({
        colSpan: colSpan,
        rowSpan: rowSpan
      }, other, {
        className: _style["default"].dynamic([["498164393", [theme.typography.body2.fontFamily, theme.typography.body2.fontSize, theme.typography.body2.fontWeight, theme.typography.body2.letterSpacing, theme.typography.body2.lineHeight, theme.spacing(padding), textAlign]]]) + " " + (other && other.className != null && other.className || (0, _clsx["default"])(classes) || "")
      }), children), /*#__PURE__*/_react["default"].createElement(_style["default"], {
        id: "498164393",
        dynamic: [theme.typography.body2.fontFamily, theme.typography.body2.fontSize, theme.typography.body2.fontWeight, theme.typography.body2.letterSpacing, theme.typography.body2.lineHeight, theme.spacing(padding), textAlign]
      }, "td.__jsx-style-dynamic-selector{font-family:".concat(theme.typography.body2.fontFamily, ";font-size:").concat(theme.typography.body2.fontSize, ";font-weight:").concat(theme.typography.body2.fontWeight, ";-webkit-letter-spacing:").concat(theme.typography.body2.letterSpacing, ";-moz-letter-spacing:").concat(theme.typography.body2.letterSpacing, ";-ms-letter-spacing:").concat(theme.typography.body2.letterSpacing, ";letter-spacing:").concat(theme.typography.body2.letterSpacing, ";line-height:").concat(theme.typography.body2.lineHeight, ";padding:").concat(theme.spacing(padding), "px;text-align:").concat(textAlign, ";}")));
    }
  }]);

  return TableCell;
}(_react["default"].Component);

_defineProperty(TableCell, "displayName", "TableCell");

_defineProperty(TableCell, "propTypes", {
  /**
   * Children to render in the td element
   */
  children: _propTypes["default"].node,

  /**
   * Classes to apply to the td element
   */
  classes: _propTypes["default"].arrayOf(_propTypes["default"].string),

  /**
   * Number of columns the td element should span
   */
  colSpan: _propTypes["default"].number,

  /**
   * The amount of padding the cell should have.
   */
  padding: _propTypes["default"].number,

  /**
   * Number of rows the td element should span
   */
  rowSpan: _propTypes["default"].number,

  /**
   * Alignment of the text in the td element.
   */
  textAlign: _propTypes["default"].oneOf(["center", "left", "right", "justify"])
});

_defineProperty(TableCell, "defaultProps", {
  colSpan: 1,
  padding: 3,
  rowSpan: 1,
  textAlign: "left"
});

_defineProperty(TableCell, "contextType", _ThemeContext["default"]);

var _default = (0, _withClasses["default"])(TableCell);

exports["default"] = _default;