"use strict";

var _enzyme = require("enzyme");

var _enzymeToJson = _interopRequireDefault(require("enzyme-to-json"));

var _react = _interopRequireDefault(require("react"));

var _VerticalDivider = _interopRequireDefault(require("./VerticalDivider"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

describe("<VerticalDivider>", function () {
  it("renders without errors", function () {
    var error;

    try {
      (0, _enzyme.mount)( /*#__PURE__*/_react["default"].createElement(_VerticalDivider["default"], null));
    } catch (e) {
      error = e;
    }

    expect(error).toEqual(undefined);
  });
  it("renders correct snapshot", function () {
    var wrapper = (0, _enzyme.mount)( /*#__PURE__*/_react["default"].createElement(_VerticalDivider["default"], null));
    expect((0, _enzymeToJson["default"])(wrapper)).toMatchSnapshot();
  });
  it("sets correct default props", function () {
    var wrapper = (0, _enzyme.mount)( /*#__PURE__*/_react["default"].createElement(_VerticalDivider["default"], null));
    var component = wrapper.find("VerticalDivider");
    expect(component.props().spacing).toEqual(2);
    expect(component.props().width).toEqual(1);
  });
  it("applies custom classes", function () {
    var classes = ["classOne"];
    var wrapper = (0, _enzyme.mount)( /*#__PURE__*/_react["default"].createElement(_VerticalDivider["default"], {
      classes: classes
    }));
    expect(wrapper.find("VerticalDivider").childAt(0).hasClass(classes[0])).toEqual(true);
  });
});